Package com.google.protobuf

# Class DescriptorProtos.ExtensionRangeOptions.Declaration.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<DescriptorProtos.ExtensionRangeOptions.Declaration.Builder>
com.google.protobuf.GeneratedMessage.Builder<DescriptorProtos.ExtensionRangeOptions.Declaration.Builder>
com.google.protobuf.DescriptorProtos.ExtensionRangeOptions.Declaration.Builder

All Implemented Interfaces:
  `DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder`, `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Cloneable`

Enclosing class:
  `DescriptorProtos.ExtensionRangeOptions.Declaration`

public static final class DescriptorProtos.ExtensionRangeOptions.Declaration.Builder extends GeneratedMessage.Builder<DescriptorProtos.ExtensionRangeOptions.Declaration.Builder> implements DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder
Protobuf type `google.protobuf.ExtensionRangeOptions.Declaration`

## Method Summary

Modifier and Type
Method
Description
`DescriptorProtos.ExtensionRangeOptions.Declaration`
`build()`
Constructs the message based on the state of the Builder.
`DescriptorProtos.ExtensionRangeOptions.Declaration`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`DescriptorProtos.ExtensionRangeOptions.Declaration.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`DescriptorProtos.ExtensionRangeOptions.Declaration.Builder`
`clearFullName()`
`optional string full_name = 2 [json_name = "fullName"];`
`DescriptorProtos.ExtensionRangeOptions.Declaration.Builder`
`clearNumber()`
`optional int32 number = 1 [json_name = "number"];`
`DescriptorProtos.ExtensionRangeOptions.Declaration.Builder`
`clearRepeated()`
`optional bool repeated = 6 [json_name = "repeated"];`
`DescriptorProtos.ExtensionRangeOptions.Declaration.Builder`
`clearReserved()`
`optional bool reserved = 5 [json_name = "reserved"];`
`DescriptorProtos.ExtensionRangeOptions.Declaration.Builder`
`clearType()`
`optional string type = 3 [json_name = "type"];`
`DescriptorProtos.ExtensionRangeOptions.Declaration`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`String`
`getFullName()`
`optional string full_name = 2 [json_name = "fullName"];`
`ByteString`
`getFullNameBytes()`
`optional string full_name = 2 [json_name = "fullName"];`
`int`
`getNumber()`
`optional int32 number = 1 [json_name = "number"];`
`boolean`
`getRepeated()`
`optional bool repeated = 6 [json_name = "repeated"];`
`boolean`
`getReserved()`
`optional bool reserved = 5 [json_name = "reserved"];`
`String`
`getType()`
`optional string type = 3 [json_name = "type"];`
`ByteString`
`getTypeBytes()`
`optional string type = 3 [json_name = "type"];`
`boolean`
`hasFullName()`
`optional string full_name = 2 [json_name = "fullName"];`
`boolean`
`hasNumber()`
`optional int32 number = 1 [json_name = "number"];`
`boolean`
`hasRepeated()`
`optional bool repeated = 6 [json_name = "repeated"];`
`boolean`
`hasReserved()`
`optional bool reserved = 5 [json_name = "reserved"];`
`boolean`
`hasType()`
`optional string type = 3 [json_name = "type"];`
`protected GeneratedMessage.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`DescriptorProtos.ExtensionRangeOptions.Declaration.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`DescriptorProtos.ExtensionRangeOptions.Declaration.Builder`
`mergeFrom(DescriptorProtos.ExtensionRangeOptions.Declaration other)`
`DescriptorProtos.ExtensionRangeOptions.Declaration.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`DescriptorProtos.ExtensionRangeOptions.Declaration.Builder`
`setFullName(String value)`
`optional string full_name = 2 [json_name = "fullName"];`
`DescriptorProtos.ExtensionRangeOptions.Declaration.Builder`
`setFullNameBytes(ByteString value)`
`optional string full_name = 2 [json_name = "fullName"];`
`DescriptorProtos.ExtensionRangeOptions.Declaration.Builder`
`setNumber(int value)`
`optional int32 number = 1 [json_name = "number"];`
`DescriptorProtos.ExtensionRangeOptions.Declaration.Builder`
`setRepeated(boolean value)`
`optional bool repeated = 6 [json_name = "repeated"];`
`DescriptorProtos.ExtensionRangeOptions.Declaration.Builder`
`setReserved(boolean value)`
`optional bool reserved = 5 [json_name = "reserved"];`
`DescriptorProtos.ExtensionRangeOptions.Declaration.Builder`
`setType(String value)`
`optional string type = 3 [json_name = "type"];`
`DescriptorProtos.ExtensionRangeOptions.Declaration.Builder`
`setTypeBytes(ByteString value)`
`optional string type = 3 [json_name = "type"];`

### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessage.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage.Builder<DescriptorProtos.ExtensionRangeOptions.Declaration.Builder>`

### clear

public DescriptorProtos.ExtensionRangeOptions.Declaration.Builder clear()
Description copied from class: `GeneratedMessage.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessage.Builder<DescriptorProtos.ExtensionRangeOptions.Declaration.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessage.Builder<DescriptorProtos.ExtensionRangeOptions.Declaration.Builder>`

### getDefaultInstanceForType

public DescriptorProtos.ExtensionRangeOptions.Declaration getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public DescriptorProtos.ExtensionRangeOptions.Declaration build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public DescriptorProtos.ExtensionRangeOptions.Declaration buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public DescriptorProtos.ExtensionRangeOptions.Declaration.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.ExtensionRangeOptions.Declaration.Builder>`

### mergeFrom

public DescriptorProtos.ExtensionRangeOptions.Declaration.Builder mergeFrom(DescriptorProtos.ExtensionRangeOptions.Declaration other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessage.Builder<DescriptorProtos.ExtensionRangeOptions.Declaration.Builder>`

### mergeFrom

public DescriptorProtos.ExtensionRangeOptions.Declaration.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.ExtensionRangeOptions.Declaration.Builder>`
Throws:
  `IOException` - an I/O error reading from the stream

### hasNumber

public boolean hasNumber()
`optional int32 number = 1 [json_name = "number"];`

Specified by:
  `hasNumber` in interface `DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder`
Returns:
  Whether the number field is set.

### getNumber

public int getNumber()
`optional int32 number = 1 [json_name = "number"];`

Specified by:
  `getNumber` in interface `DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder`
Returns:
  The number.

### setNumber

public DescriptorProtos.ExtensionRangeOptions.Declaration.Builder setNumber(int value)
`optional int32 number = 1 [json_name = "number"];`

Parameters:
  `value` - The number to set.
Returns:
  This builder for chaining.

### clearNumber

public DescriptorProtos.ExtensionRangeOptions.Declaration.Builder clearNumber()
`optional int32 number = 1 [json_name = "number"];`

Returns:
  This builder for chaining.

### hasFullName

public boolean hasFullName()
`optional string full_name = 2 [json_name = "fullName"];`

Specified by:
  `hasFullName` in interface `DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder`
Returns:
  Whether the fullName field is set.

### getFullName

public String getFullName()
`optional string full_name = 2 [json_name = "fullName"];`

Specified by:
  `getFullName` in interface `DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder`
Returns:
  The fullName.

### getFullNameBytes

public ByteString getFullNameBytes()
`optional string full_name = 2 [json_name = "fullName"];`

Specified by:
  `getFullNameBytes` in interface `DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder`
Returns:
  The bytes for fullName.

### setFullName

public DescriptorProtos.ExtensionRangeOptions.Declaration.Builder setFullName(String value)
`optional string full_name = 2 [json_name = "fullName"];`

Parameters:
  `value` - The fullName to set.
Returns:
  This builder for chaining.

### clearFullName

public DescriptorProtos.ExtensionRangeOptions.Declaration.Builder clearFullName()
`optional string full_name = 2 [json_name = "fullName"];`

Returns:
  This builder for chaining.

### setFullNameBytes

public DescriptorProtos.ExtensionRangeOptions.Declaration.Builder setFullNameBytes(ByteString value)
`optional string full_name = 2 [json_name = "fullName"];`

Parameters:
  `value` - The bytes for fullName to set.
Returns:
  This builder for chaining.

### hasType

public boolean hasType()
`optional string type = 3 [json_name = "type"];`

Specified by:
  `hasType` in interface `DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder`
Returns:
  Whether the type field is set.

### getType

public String getType()
`optional string type = 3 [json_name = "type"];`

Specified by:
  `getType` in interface `DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder`
Returns:
  The type.

### getTypeBytes

public ByteString getTypeBytes()
`optional string type = 3 [json_name = "type"];`

Specified by:
  `getTypeBytes` in interface `DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder`
Returns:
  The bytes for type.

### setType

public DescriptorProtos.ExtensionRangeOptions.Declaration.Builder setType(String value)
`optional string type = 3 [json_name = "type"];`

Parameters:
  `value` - The type to set.
Returns:
  This builder for chaining.

### clearType

public DescriptorProtos.ExtensionRangeOptions.Declaration.Builder clearType()
`optional string type = 3 [json_name = "type"];`

Returns:
  This builder for chaining.

### setTypeBytes

public DescriptorProtos.ExtensionRangeOptions.Declaration.Builder setTypeBytes(ByteString value)
`optional string type = 3 [json_name = "type"];`

Parameters:
  `value` - The bytes for type to set.
Returns:
  This builder for chaining.

### hasReserved

public boolean hasReserved()
`optional bool reserved = 5 [json_name = "reserved"];`

Specified by:
  `hasReserved` in interface `DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder`
Returns:
  Whether the reserved field is set.

### getReserved

public boolean getReserved()
`optional bool reserved = 5 [json_name = "reserved"];`

Specified by:
  `getReserved` in interface `DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder`
Returns:
  The reserved.

### setReserved

public DescriptorProtos.ExtensionRangeOptions.Declaration.Builder setReserved(boolean value)
`optional bool reserved = 5 [json_name = "reserved"];`

Parameters:
  `value` - The reserved to set.
Returns:
  This builder for chaining.

### clearReserved

public DescriptorProtos.ExtensionRangeOptions.Declaration.Builder clearReserved()
`optional bool reserved = 5 [json_name = "reserved"];`

Returns:
  This builder for chaining.

### hasRepeated

public boolean hasRepeated()
`optional bool repeated = 6 [json_name = "repeated"];`

Specified by:
  `hasRepeated` in interface `DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder`
Returns:
  Whether the repeated field is set.

### getRepeated

public boolean getRepeated()
`optional bool repeated = 6 [json_name = "repeated"];`

Specified by:
  `getRepeated` in interface `DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder`
Returns:
  The repeated.

### setRepeated

public DescriptorProtos.ExtensionRangeOptions.Declaration.Builder setRepeated(boolean value)
`optional bool repeated = 6 [json_name = "repeated"];`

Parameters:
  `value` - The repeated to set.
Returns:
  This builder for chaining.

### clearRepeated

public DescriptorProtos.ExtensionRangeOptions.Declaration.Builder clearRepeated()
`optional bool repeated = 6 [json_name = "repeated"];`

Returns:
  This builder for chaining.